Skip to content
IForevents Docs
IForevents Docs
HomeDashboardGitHubPrivacyTermsSecurityIntroduction
Support and SLA

Server-sent events stream of the dashboard payload

POST
/v1/analytics/init/stream

text/event-stream; one data: frame with the same payload as /v1/analytics/init every interval seconds until the client disconnects.

Authorization

AuthorizationBearer <token>

Session token issued by the accounts service (or the legacy /v1/auth routes).

In: header

Query Parameters

interval?integer

Seconds between frames.

Range5 <= value <= 3600
Default30

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

text/event-stream

application/json

application/json

application/json

curl -X POST "https://example.com/v1/analytics/init/stream" \  -H "Content-Type: application/json" \  -d '{    "end": "2026-09-13T12:30:45Z",    "start": "2026-08-14T00:00:00Z"  }'
"data: {\"data\":{\"metrics\":{\"total_users\":1200}}}\n\n"
end?string
Formatdate-time
event_type?string

Value in

  • "track"
  • "identify"
  • "page_view"
events?array<>

Optional filters: only events with these names, each with optional property key/value pairs.

filters?array<>
groups?array<>
limit?integer
match?string
offset?integer
q?string
start?string
Formatdate-time
user?string